PGAGetIntegerInitType(2)

NAME
PGAGetIntegerInitType - returns the type of scheme used to randomly initialize strings of data type PGA_DATATYPE_INTEGER.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetIntegerInitType(ctx)
PGAContext *ctx

LOCATION
integer.c

EXAMPLE
Example:
PGAContext *ctx;
int inittype;
:
inittype = PGAGetIntegerInitType(ctx);
switch (inittype) {
case PGA_IINIT_PERMUTE:
printf("Data Type = PGA_IINIT_PERMUTE);
break;
case PGA_IINIT_RANGE:
printf("Data Type = PGA_IINIT_RANGE);
break;
}